{
  "format_version": "1.20.60",
  "minecraft:item": {
    "description": {
      "identifier": "vatonage:ultimate_shovel"
    },
    "components": {
      "minecraft:icon": {
        "textures": {
          "default": "ultimate_shovel"
        }
      },
      "minecraft:display_name": {
        "value": "§4U§cl§6t§ei§am§ba§9t§1e §4S§6h§eo§av§be§1l\n§o§4U§cl§6t§ei§am§ba§9t§1e §bCrafting"
      },
      "minecraft:max_stack_size": {
        "value": 1
      },
      "minecraft:hand_equipped": true,
      "minecraft:damage": 21,
      "minecraft:enchantable": {
        "value": 10,
        "slot": "shovel"
      },
      "minecraft:stacked_by_data": true,
      "minecraft:digger": {
        "destroy_speeds": [{
          "block": {
            "tags": "q.any_tag('dirt', 'sand', 'gravel', 'grass', 'snow', 'shovel_diggable')"
          },
          "speed": 9999
        },
          {
            "block": "minecraft:bamboo",
            "speed": 9999
          },
          {
            "block": "minecraft:clay",
            "speed": 9999
          },
          {
            "block": "minecraft:dirt",
            "speed": 9999
          },
          {
            "block": "minecraft:black_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:gray_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:light_gray_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:white_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:brown_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:red_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:orange_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:yellow_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:green_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:lime_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:cyan_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:light_blue_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:blue_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:purple_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:magenta_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:pink_concrete_powder",
            "speed": 9999
          },
          {
            "block": "minecraft:grass_path",
            "speed": 9999
          },
          {
            "block": "minecraft:farmland",
            "speed": 9999
          },
          {
            "block": "minecraft:grass",
            "speed": 9999
          },
          {
            "block": "minecraft:gravel",
            "speed": 9999
          },
          {
            "block": "minecraft:mud",
            "speed": 9999
          },
          {
            "block": "minecraft:muddy_mangrove_roots",
            "speed": 9999
          },
          {
            "block": "minecraft:mycelium",
            "speed": 9999
          },
          {
            "block": "minecraft:podzol",
            "speed": 9999
          },
          {
            "block": "minecraft:sand",
            "speed": 9999
          },
          {
            "block": "minecraft:dirt_with_roots",
            "speed": 9999
          },
          {
            "block": "minecraft:soul_sand",
            "speed": 9999
          },
          {
            "block": "minecraft:soul_soil",
            "speed": 9999
          },
          {
            "block": "minecraft:suspicious_sand",
            "speed": 9999
          },
          {
            "block": "minecraft:suspicious_gravel",
            "speed": 9999
          },
          {
            "block": "minecraft:snow_layer",
            "speed": 9999
          },
          {
            "block": "minecraft:snow",
            "speed": 9999
          }],
        "use_efficiency": true
      },
      "minecraft:tags": {
        "tags": [
          "minecraft:is_shovel",
          "minecraft:digger",
          "minecraft:is_tool"
        ]
      }
    }
  }
}